### Method

# Gio SimpleActionGroup insert

deprecated: 2.38 since: 2.28

#### Declaration

    void
    g_simple_action_group_insert (
      GSimpleActionGroup* simple,
      GAction* action
    )

#### Description

Adds an action to the action group.

If the action group already contains an action with the same name as `action` then the old action is dropped from the group.

The action group takes its own reference on `action`.

Available since: 2.28

Deprecated since: 2.38

Use g_action_map_add_action().

#### Parameters

`action`

  Type: `GAction`

  A `GAction`.

  The data is owned by the caller of the method.